Как установить последнюю версию LibreOffice на Ubuntu

LibreOffice 7.1.1 в Ubuntu

Хотя Ubuntu не является Debian, это также не Arch Linux. Я имею в виду частоту и скорость, с которой они добавляют программное обеспечение в свои репозитории: Debian добавляет только программное обеспечение, которое хорошо протестировано, что переводится на очень старые версии, в то время как Ubuntu обновляется быстрее, но меньше, чем дистрибутивы Rolling Release, такие как Arch Linux или Manjaro. . По этой причине он обычно добавляет версию LibreOffice который не самый современный.

Прежде чем продолжить, я хотел бы прояснить одну вещь: если Canonical решит остаться с рекомендованной версией, это для чего-то. Он просто более проверен и имеет меньше ошибок. Но верно также и то, что The Document Foundation улучшает совместимость с каждым новым выпуском, и недавно я был удивлен, увидев, что многое из того, что написано в Writer, полностью совместимо с WordPress, поэтому я думаю, что в подобных случаях стоит использовать Последняя версия. Здесь мы покажем вам, как это сделать.

Лучший вариант всегда обновлять LibreOffice: ваш PPA

Фактически, для некоторого программного обеспечения одним из лучших вариантов является использование версии Flatpak. Но тот факт, что это изолированные пакеты, может вызвать проблемы, поэтому я, как и многие другие, по-прежнему предпочитаю то, что мы называем «APT-версией». Если это нас интересует, все, что нам нужно сделать, это добавить официальный репозиторий:

  1. Открываем терминал.
  2. Пишем следующее:
sudo add-apt-repository ppa:libreoffice
  1. Далее обновляем пакеты. Если у нас установлен LibreOffice, новая версия появится как обновление.

Версия Flatpak

Второй лучший вариант для меня - установить пакет Flatpak. Мы можем сделать это из любого совместимого программного центра, если он включен. В В этой статье мы объясним, как это сделать, начиная с Ubuntu 20.04. Если у нас более старая версия, программное обеспечение GNOME уже было установлено по умолчанию, поэтому устанавливать его не нужно. Установить любой пакет этого типа так же просто, как найти его, заглянув в раздел источников, выбрав «Flathub» и нажав «Установить».

Мы также можем установить пакет, как описано в Страница Flathub, что выполняется с помощью команды терминала (flatpak установить flathub org.libreoffice.LibreOffice), но зачем это делать, если мы говорим об Ubuntu и можем сделать это с помощью Программное обеспечение GNOME? Кроме того, в магазине GNOME мы также можем искать пакеты Flatpak.

Snap версия

Я поставил последний из трех лучших вариантов, потому что предпочитаю предыдущие пакеты. Кроме того, для обновления многих пакетов Snap требуется время, хотя для LibreOffice это не похоже. Установить Snap-версию этого офисного пакета в Ubuntu так же просто, как выполнить поиск "Libreoffice" в магазине по умолчанию операционной системы, так как это на самом деле "Snap Store", который я вообще не рекомендую, но он хорош для этого.

Если, как и я, вы вообще не хотите трогать этот магазин, и если вы установили программное обеспечение GNOME, вы также можете найти его в этом магазине и выбрать тот, который изначально говорит «snapcraft.io» в Ubuntu. И если вы хотите сделать это через терминал, вам нужно будет написать эту команду:

sudo snap install libreoffice

Как я уже сказал, я предпочитаю делать это с помощью официального репозитория, и я думаю, что я не единственный, но любой из этих трех вариантов хорош.


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

2 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован. Обязательные для заполнения поля помечены *

*

*

  1. Ответственный за данные: Мигель Анхель Гатон
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Баскский сказал

    То, что они являются изолированными пакетами, может создавать проблемы, может быть, что нет, без Flatpak у вас не будет ни одной проблемы, даже если вы используете только один во всей системе, что за чушь вы должны видеть.

    1.    Паблинукс сказал

      Не все работает одинаково, есть расширения, которых нет в наличии, дизайн может отличаться ...

      Да, это возможно.